Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000005Zandronum[All Projects] Bugpublic2010-09-06 06:052018-09-30 19:48
Reporterunknownna 
Assigned ToSpleen 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target VersionFixed in Version98d 
Summary0000005: [98d - 2914] online, bots attack in LMS, but not in DM
DescriptionBots will not attack anyone in DM, but they do it in LMS.
Steps To ReproduceStart a DM/LMS server with bots.
Attached Files

- Relationships

-  Notes
User avatar (0000004)
Spleen (reporter)
2010-09-06 06:50
edited on: 2010-09-06 06:52

The issue was introduced in r2893, when I supposedly "fixed" weapon switching with compat_oldweaponswitch. Unlike human weapon switching, bot weapon switching is done server-side, and I didn't think of that. :(


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2010-09-06 06:05 unknownna New Issue
2010-09-06 06:43 Spleen Assigned To => Spleen
2010-09-06 06:43 Spleen Status new => confirmed
2010-09-06 06:50 Spleen Note Added: 0000004
2010-09-06 06:52 Spleen Note Edited: 0000004 View Revisions
2010-09-06 08:55 Spleen Status confirmed => resolved
2010-09-06 08:55 Spleen Fixed in Version => 98d
2010-09-06 08:55 Spleen Resolution open => fixed
2012-06-09 13:22 Torr Samaho Category General => Bug
2018-09-30 19:48 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker